Package ru.bitel.bgbilling.modules.subscription.common.bean

# Enum Class Unit

java.lang.Object
java.lang.Enum<Unit>
ru.bitel.bgbilling.modules.subscription.common.bean.Unit

All Implemented Interfaces:
  `Serializable`, `Comparable<Unit>`, `Constable`, `GuiTitlable`

public enum Unit extends Enum<Unit> implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  `HOUR`
  `MINUTE`
  `MONTH`
  `SECOND`
  `WEEK`
  `YEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `static Unit`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Unit[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SECOND

    public static final Unit SECOND

  - ### MINUTE

    public static final Unit MINUTE

  - ### HOUR

    public static final Unit HOUR

  - ### DAY

    public static final Unit DAY

  - ### WEEK

    public static final Unit WEEK

  - ### MONTH

    public static final Unit MONTH

  - ### YEAR

    public static final Unit YEAR

- ## Method Details

  - ### values

    public static Unit[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Unit valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.